import { View, Text } from "@tarojs/components"
import { useEffect, useState } from "react"
import Taro from "@tarojs/taro"
import CustomNav from '@/components/CustomNav'
import ButtontWX from '@/components/ButtontWX'
import formatTimes from "@/utils/codeSegment"
import withLayout from '@/layouts'

import { generateOrder, orderDelete, orderInfo } from "@/services/order"
// import BottomMoadl from '@/components/BottomMoadl/index'






import './style.less'

export default withLayout((props) => {

  const $instance = Taro.getCurrentInstance()
  const { orderId, goOrder } = $instance.router.params

  const [orderInfos, setOrderInfos] = useState()
  //底部弹窗
  // const [showFrame, setShowFrame] = useState(false)
  // const setRecommend = () => {
  //   setShowFrame(!showFrame)
  // }

  const cancelPay = () => {
    Taro.showModal({
      title: '提示',
      content: '您确定要取消此订单吗？',
      success: function (res) {
        if (res.confirm) {
          orderDelete(orderId).then((e) => {
            console.log('订单取消/删除', e);
            Taro.showToast({
              title: '订单取消成功',
              icon: 'success',
              duration: 2000
            }).then(() => {
              setTimeout(() => {
                Taro.navigateBack({
                  delta: 1
                })
              }, 1000)
            })
          })
        } else if (res.cancel) {
          console.log('用户点击取消')
        }
      }
    })
  }

  useEffect(() => {
    if (orderId) {
      orderInfo(orderId).then((res) => {
        setOrderInfos(res)
      })
    } else {

      Taro.showToast({
        title: '暂无订单详情',
        icon: 'error',
        duration: 2000
      }).then(() => {
        setTimeout(() => {
          Taro.navigateBack({
            delta: 1
          })
        }, 1000)
      })
    }

  }, [orderId])

  const pay = () => {
    generateOrder({
      charges: 200,
      price: 100,
      amount: 20,
      machineryId: '7cdf832d7a7af0c19ab33418e10e1a94',
      machineryName: '第一台播种机',
      machineryType: 'b4d183f684ed1f3d1cb2194c1975ae46',
      typeName: '播种机',
      address: '我是作业地址：房屋后面',
      appontmentDate: new Date(),
    })
  }


  return (
    <View className='page-index'>
      <View className='index-navbar'>
        <CustomNav title='订单详情' />
      </View>
      {/* <BottomMoadl frameTitle='支付方式' flag={showFrame} onRecommend={setRecommend} /> */}
      <View className='orders-listBox-RihtboxBoxOrderViewText'>
        <View className='View-LiftTextTop'>订单编号：<Text>{orderInfos?.orderNo}</Text></View>
        <View>农机名称：<Text>{orderInfos?.machineryName}</Text></View>
        <View>作业面积：<Text>{orderInfos?.amount}</Text></View>
        <View>需求时间：<Text>{formatTimes(orderInfos?.appointmentDate, 'yyyy-MM-dd hh:mm')}</Text></View>
        <View>下单时间：<Text>{formatTimes(orderInfos?.createDate, 'yyyy-MM-dd hh:mm')}</Text></View>
        <View>订单状态：<Text  >{orderInfos?.payStatus}</Text></View>
        <View className='View-LiftTextBotton'>
          <View>费用：<Text className='feiyongStyle'>{orderInfos?.charges}</Text></View>
        </View>
      </View>
      <View className='BottomtBut' >
        <ButtontWX butText='取消' onClick={cancelPay} butWidth={123} butHeight={39} butFontSize={16} butBorderRadius={49} />

        <ButtontWX butText='支付' onClick={pay} butWidth={123} butHeight={39} butFontSize={16} butBorderRadius={49} />
      </View>
    </View>
  )
})
