
import { View, Image, Text } from "@tarojs/components"
import Taro, { useDidShow } from '@tarojs/taro'

import ordersListImga from '@/assets/ordersImages/ordersListImga.png'
import ordersLeft from '@/assets/ordersImages/ordersLeft.png'//订单装饰
import { useEffect, useState } from "react"
import { getOrder } from "@/services/order"
import formatTimes from "@/utils/codeSegment"
import { useModel } from "@/store"
import withLayout from '@/layouts'

import './OrdersCss/style.less'


export default withLayout((props) => {

  const [ourderList, setOrderList] = useState([])

  const { person, setPerson } = useModel('userData')



  useDidShow(() => {
    getOrder().then((e) => {
      const { records } = e
      setOrderList(records)
    })
  })
  useEffect(() => {
    getOrder().then((e) => {
      const { records } = e
      setOrderList(records)
    })
  }, [])
  console.log(ourderList, 'ourderList');

  const orderStates = (item) => {
    switch (item) {
      case 0:
        return {
          title: '待付款',
          styleColor: '#51D4FF'
        }
      case 1:
        return {
          title: '已付款',
          styleColor: '#FF703B'
        }
      case 2:
        return {
          title: '进行中',
          styleColor: '#44F68B'
        }
      case 3:
        return {
          title: '已完成',
          styleColor: '#FF703B'
        }
      case 4:
        return {
          title: '待评价',
          styleColor: '#51D4FF'
        }
      case 5:
        return {
          title: '退单待审',
          styleColor: '#51D4FF'
        }
      case 6:
        return {
          title: '待付款',
          styleColor: '#FF703B'
        }
      default:
        return {
          title: '暂无状态',
          styleColor: '#000'
        }
    }
  }
  const handleTobePaid = (id) => {
    Taro.navigateTo({ url: `/pages/OrderInfo/index?orderId=${id}` })
  }


  return (
    <scroll-view scrollY style='height: 100%;' >

      {
        person?.phone ? <>
          <View className='content-header-box-orders'>
            <View className='content-header-box-orders-liftCentent'>
              <Image src={ordersListImga} />
              <View>订单列表</View>
            </View>
            {/* <View className='content-header-box-orders-rightCentent'>更多&gt;&gt;</View> */}
          </View>
          {
            ourderList.map((item, index) => {
              return (
                <View key={index} className='orders-listBox'>
                  <Image src={ordersLeft} />
                  <View className='orders-listBox-RihtboxBoxOrderViewText'>
                    <View className='View-LiftTextTop' onClick={() => handleTobePaid(item.orderId)} >订单编号：<Text>{item.orderNo}</Text><Text className='View-LiftTextTop-nextText'>更多&gt;&gt;</Text></View>
                    <View>农机名称：<Text>{item.machineryName}</Text></View>
                    <View>作业面积：<Text>{item.amount}</Text></View>
                    <View>需求时间：<Text>{formatTimes(item.appointmentDate, 'yyyy-MM-dd hh:mm')}</Text></View>
                    <View>下单时间：<Text>{formatTimes(item.createDate, 'yyyy-MM-dd hh:mm')}</Text></View>
                    <View className='View-LiftTextBotton'>
                      <View>订单状态：<Text style={{ color: orderStates(item.payStatus).styleColor }} >{orderStates(item.orderState).title}</Text></View>
                      <View>费用：<Text className='feiyongStyle'>{item.charges}</Text></View>
                    </View>
                  </View>
                </View>
              )
            })

          }
        </>
          : <View>未登录，请先登陆</View>
      }

    </scroll-view>
  )
})
