import Taro, { useRouter, useDidShow } from "@tarojs/taro";
import { useModel } from '@/store'
import { useEffect, useMemo } from "react";

const whiteList = [
  "/pages/UserLogin/index",
  "/pages/index/index"
]

export default () => {
  const router = useRouter()
  const { person } = useModel('userData')

  const isInWhiteList = useMemo(() => whiteList.includes(router.path), [router.path])
  const hasPhone = useMemo(() => !!person?.phone, [person?.phone])


  useEffect(() => {
    if (!isInWhiteList && !hasPhone) {
      Taro.navigateTo({ url: "/pages/UserLogin/index" });
    }
  }, [hasPhone, isInWhiteList])



  return { hasPhone, isInWhiteList }
};